%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor10_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 10.0 ]; then echo 1; else echo 0; fi)}


%if %buildfor9_2 || %buildfor10_0
%define unstable 0
%else
%define unstable 0
%endif


Name: kdenlive
Version: 0.2.3
Release: 4mdk
License: GPL
Summary: A non-linear video editing application for KDE
Group:		Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-root
Source: 	%name-%version.tar.bz2
BuildRequires:	kdelibs-devel, 
Requires: piave >= 0.2.2, libqt3 >= 3.0.0, kdebase >= 3.0.0
Patch1:		kdenlive-0.2.3-dont-compile-doc.patch.bz2

Patch2:	kdenlive-0.2.3-piave-path.patch.bz2

%description
Kdenlive is a non-linear vdeo editor for KDE. It relies on a seperate renderer, 
piave, to handle it's rendering. Kdenlive supports multitrack editing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
%patch1 -p1 -b .dont_compile_doc
%patch2 -p1 -b .piave_path

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
		./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable                    
					--enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make


%install
%makeinstall

# Create LMDK menu entries
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kdenlive Multimedia/Video %buildroot/%_datadir/applnk/Multimedia/kdenlive.desktop %buildroot/%_menudir/kdenlive


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%_bindir/*
%_datadir/apps/%{name}
%_datadir/applnk/Multimedia/%{name}.desktop
%_menudir/*

#{_datadir}/doc/HTML/en/%{name}/index.cache.bz2
#%{_datadir}/doc/HTML/en/%{name}/index.docbook
#%{_datadir}/icons/locolor/16x16/apps/%{name}.png
#%{_datadir}/icons/locolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%_datadir/icons/piave.png

%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo

%changelog
* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-4mdk
- Fix piave path

* Sun Feb 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-3mdk
- Rebuild

* Tue Jan 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-2mdk
- Add menu entry

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-1mdk
- first package

